import fireNodeWrapper from './fireNodeWrapper';

// 七氟丙烷
export const Heptafluoropropane = fireNodeWrapper({
  type: 'heptafluoropropane',
  nodeIcon: 'ele-heptafluoropropane'
});

// 消防栓
export const FireHydrant = fireNodeWrapper({
  type: 'fireHydrant',
  nodeIcon: 'ele-fire-hydrant'
});

// 手动火灾报警
export const HandsAlarm = fireNodeWrapper({
  type: 'handsAlarm',
  nodeIcon: 'ele-hands-alarm'
});

// 火灾声光报警
export const FireAlarm = fireNodeWrapper({
  type: 'fireAlarm',
  nodeIcon: 'ele-fire-alarm'
});

export default {
  heptafluoropropane: Heptafluoropropane,
  fireHydrant: FireHydrant,
  handsAlarm: HandsAlarm,
  fireAlarm: FireAlarm
};
